% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bru.inference.R, R/deprecated.R,
%   R/environment.R, R/mappers.R, R/utils.R
\name{summary_bru}
\alias{summary_bru}
\alias{inlabru-deprecated}
\alias{iinla.getOption}
\alias{iinla.setOption}
\alias{init.tutorial}
\alias{ibm_amatrix.bru_mapper_inla_mesh_2d}
\alias{ibm_amatrix.bru_mapper_inla_mesh_1d}
\alias{ibm_amatrix.bru_mapper_index}
\alias{ibm_amatrix.bru_mapper_linear}
\alias{ibm_amatrix.bru_mapper_matrix}
\alias{ibm_amatrix.bru_mapper_factor}
\alias{ibm_n.bru_mapper_offset}
\alias{ibm_values.bru_mapper_offset}
\alias{ibm_amatrix.bru_mapper_offset}
\alias{ibm_amatrix.bru_mapper_multi}
\alias{ibm_amatrix.bru_mapper_collect}
\alias{eval_SpatialDF}
\title{Deprecated functions in inlabru}
\usage{
summary_bru(object, ...)

iinla.getOption(name = NULL)

iinla.setOption(...)

init.tutorial()

\method{ibm_amatrix}{bru_mapper_inla_mesh_2d}(...)

\method{ibm_amatrix}{bru_mapper_inla_mesh_1d}(...)

\method{ibm_amatrix}{bru_mapper_index}(...)

\method{ibm_amatrix}{bru_mapper_linear}(...)

\method{ibm_amatrix}{bru_mapper_matrix}(...)

\method{ibm_amatrix}{bru_mapper_factor}(...)

\method{ibm_n}{bru_mapper_offset}(...)

\method{ibm_values}{bru_mapper_offset}(...)

\method{ibm_amatrix}{bru_mapper_offset}(...)

\method{ibm_amatrix}{bru_mapper_multi}(...)

\method{ibm_amatrix}{bru_mapper_collect}(...)

eval_SpatialDF(...)
}
\arguments{
\item{object}{An object obtained from a \code{\link[=bru]{bru()}} or \code{\link[=lgcp]{lgcp()}} call}

\item{\dots}{Usually passed on to other methods}

\item{name}{character; an option name}
}
\description{
These functions still attempt to do their job, but will be removed in a
future version.
}
\section{Functions}{
\itemize{
\item \code{summary_bru()}: Old summary for an inlabru fit.

Takes a fitted \code{bru} object produced by \code{\link[=bru]{bru()}} or \code{\link[=lgcp]{lgcp()}} and creates
various summaries from it.

\item \code{iinla.getOption()}: Use \code{bru_option_get} instead.

\item \code{iinla.setOption()}: Use \code{bru_option_set} instead.

\item \code{init.tutorial()}: Global setting for tutorial sessions.

Use \code{\link[=bru_options_set]{bru_options_set()}} to set specific
options instead instead.  In versions <= 2.1.15, this function set the INLA
integration strategy to "eb" to speed up calculations. This is normally not
needed since version 2.2.0, since the only the final iteration will use
other than "eb".

\item \code{ibm_amatrix(bru_mapper_inla_mesh_2d)}: Replaced by \code{\link[=ibm_jacobian]{ibm_jacobian()}}

\item \code{ibm_amatrix(bru_mapper_inla_mesh_1d)}: Replaced by \code{\link[=ibm_jacobian]{ibm_jacobian()}}

\item \code{ibm_amatrix(bru_mapper_index)}: Replaced by \code{\link[=ibm_jacobian]{ibm_jacobian()}}

\item \code{ibm_amatrix(bru_mapper_linear)}: Replaced by \code{\link[=ibm_jacobian]{ibm_jacobian()}}

\item \code{ibm_amatrix(bru_mapper_matrix)}: Replaced by \code{\link[=ibm_jacobian]{ibm_jacobian()}}

\item \code{ibm_amatrix(bru_mapper_factor)}: Replaced by \code{\link[=ibm_jacobian]{ibm_jacobian()}}

\item \code{ibm_n(bru_mapper_offset)}: Replaced by \link{bru_mapper_const} methods

\item \code{ibm_values(bru_mapper_offset)}: Replaced by \link{bru_mapper_const} methods

\item \code{ibm_amatrix(bru_mapper_offset)}: Replaced by \link{bru_mapper_const} methods

\item \code{ibm_amatrix(bru_mapper_multi)}: Replaced by \code{\link[=ibm_jacobian]{ibm_jacobian()}}

\item \code{ibm_amatrix(bru_mapper_collect)}: Replaced by \code{\link[=ibm_jacobian]{ibm_jacobian()}}

\item \code{eval_SpatialDF()}: Replaced by the generic \code{\link[=eval_spatial]{eval_spatial()}}

}}
\examples{
\dontrun{
# Note: Only run this if you want to change the inlabru options for this session

# Determine current bru defaults:
bo <- bru_options_get()

init.tutorial()

# Check if it worked:
bru_options_get("control.inla")
}

}
\author{
Finn Lindgren \email{finn.lindgren@gmail.com}

Fabian E. Bachl \email{bachlfab@gmail.com}
}
